:: Compilation of the library

:: Set path to the FreeBasic compiler:
set Fbas=c:\freeba~1
:: Set path to the library manager:
set Mlib=%Fbas%\bin\win32
:: without closing backslashes.

for %%a in (curfit\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a curfit\*.o
del curfit\*.o > nul

for %%a in (equation\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a equation\*.o
del equation\*.o > nul

for %%a in (fmath\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a fmath\*.o
del fmath\*.o > nul

for %%a in (fourier\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a fourier\*.o
del fourier\*.o > nul

for %%a in (integral\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a integral\*.o
del integral\*.o > nul

%Fbas%\fbc.exe -lib largeint\largeint.bas -i ..

for %%a in (matrices\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a matrices\*.o
del matrices\*.o > nul

for %%a in (optim\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a optim\*.o
del optim\*.o > nul

for %%a in (plot\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a plot\*.o
del plot\*.o > nul

for %%a in (polynom\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a polynom\*.o
del polynom\*.o > nul

for %%a in (proba\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a proba\*.o
del proba\*.o > nul

for %%a in (random\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a random\*.o
del random\*.o > nul

for %%a in (stat\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a stat\*.o
del stat\*.o > nul

for %%a in (strings\*.bas) do %Fbas%\fbc.exe -c %%a
%Mlib%\ar.exe r libfbmath.a strings\*.o
del strings\*.o > nul

move libfbmath.a ..\
move largeint\liblargeint.a ..\

cd ..

dir *.a

